[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.GradientDirection

Controls the direction for a gradient drawn on the control bar.

## Declaration

Source position: extctrls.pp line 1668

`public property TCustomControlBar.GradientDirection : TGradientDirection read FGradientDirection write SetGradientDirection default gdVertical;`

## Description

GradientDirection is a TGradientDirection property which controls the direction for a gradient drawn on the control bar. The default value for the property is gdVertical. Changing the value for the property causes the Invalidate method to be performed when BeginUpdate has not yet been called.

GradientDirection is used when the DrawingStyle property contains the value dsGradient. Set the values in GradientStartColor and GradientEndColor to define the colors used to draw the gradient.